# logical_directory.cpp File Reference

`#include <string>`
`#include <vector>`
`#include <saga/saga/task.hpp>`
`#include <saga/saga/call.hpp>`
`#include <saga/saga/replica.hpp>`
`#include <saga/impl/replica.hpp>`
`#include <saga/saga/detail/call.hpp>`
`#include <saga/saga/detail/attribute_impl.hpp>`

## Namespaces
namespace | saga
namespace | saga::replica
namespace | saga::replica::metrics
namespace | saga::detail
## Defines
#define | SAGA_NO_IMPORT_ATTRIBUTE
#define | SAGA_EXPORT_ATTRIBUTE SAGA_REPLICA_PACKAGE_EXPORT

## Define Documentation

#define SAGA_NO_IMPORT_ATTRIBUTE

#define SAGA_EXPORT_ATTRIBUTE SAGA_REPLICA_PACKAGE_EXPORT